ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | ros @ Robotics Stack Exchange
Ask Your Question
0

Executables and permission issues

asked 2022-07-04 22:13:05 -0500

distro gravatar image

Has anyone come across an issue where you try to

roslaunch something but you get this error 
ERROR: cannot launch node of type [polygon_coverage_ros/coverage_planner]: Cannot locate node of type [coverage_planner] in package [polygon_coverage_ros]. Make sure file exists in package path and permission is set to executable (chmod +x)

But I've already chmoded the scripts the error talks about. What are possible reasons for still getting this error.

edit retag flag offensive close merge delete

Comments

It is possible that you have not sourced the workspace (in which polygon_coverage_ros lies) in your current working terminal.

electrophod gravatar image electrophod  ( 2022-07-05 00:54:10 -0500 )edit
distro gravatar image distro  ( 2022-07-05 01:49:58 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2022-07-05 01:59:51 -0500

qilin_gundamenjoyer gravatar image

updated 2022-07-05 02:00:42 -0500

Assuming you sourced the workspace correctly with source devel/setup.bash and this error still occurs. Run a catkin clean / catkin_make clean command from the directory that your catkin workspace is located, then build and source again. If the same error still occurs, open your CMakeLists.txt and ensure that the file exists in the package path with add_executable(<executable_file_name> <path/to/file/file.cpp)in your ./devel/lib folder.

edit flag offensive delete link more

Comments

@qilin_gundamenjoyer actually something went wrong initially, I use catkin_make and catkin build in the same workspace. What had happened was I got confused when I used catkin build the first time because no devel or build folders were created when I did that, so I used catkin_make to make those files. Bad idea I now realize. However on just remaking my workspace I dont know how to make the devel folder without using catkin_make, the instructions for the packages I am trying to get to work don't make it clear. Here is the link to the github I am looking at: link

distro gravatar image distro  ( 2022-07-05 18:45:59 -0500 )edit

Question Tools

2 followers

Stats

Asked: 2022-07-04 22:13:05 -0500

Seen: 548 times

Last updated: Jul 05 '22